// component/popup/popup.js
const app = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    typeOf: {
      type: "String",
      value: ''
    },
    title: {
      type: "String",
      value: ''
    },
    headTextOne: {
      type: "String",
      value: ''
    },
    headTextTwo: {
      type: "String",
      value: ''
    },
    content: {
      type: "Array",
      value: ''
    },
    btnContent: {
      type: "String",
      value: ''
    },
    haveReward: {
      type: 'Boolean',
      value: false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    flag: true,
    os: app.globalData.isIOS
  },

  /**
   * 组件的方法列表
   */
  methods: {
    touchMove: function () {
      return false;
    },
    close: function () {
      this.setData({
        flag: !this.data.flag
      })
      this.triggerEvent('Close', {})
    },
    launchGroup: function () {
      this.triggerEvent('Group', {})
    }
  }
})